package com.gxzc.zen.msg.mq

import com.maihaoche.starter.mq.annotation.EnableMQConfiguration
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty
import org.springframework.context.annotation.Configuration

/**
 *
 * @author NorthLan
 * @date 2018/8/23
 * @url https://noahlan.com
 */
@Configuration
@ConditionalOnProperty(prefix = "spring.rocketmq", name = ["enabled"], havingValue = "true")
@EnableMQConfiguration
class MQConfiguration {
}